## python-darts.lib.utils.lru 0.5

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = /home/dirk/Python/default/bin/sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/dartutilsevent.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/dartutilsevent.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/dartutilsevent"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/dartutilsevent"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-darts.lib.utils.lru (0.5-6) unstable; urgency=medium

  * Add upstream proposed patch in PR to make it compatible with Python3
  * Bump std-version to 4.6.0
  * Bump compat level to 13
  * Update watch file
  * Add R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Mar 2022 16:49:13 +0100

python-darts.lib.utils.lru (0.5-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * drop Python2 package
    Closes: #937686
  * Bump compat level to 12
  * Bump std-version to 4.4.0

  [ Raphaël Hertzog ]
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Sep 2019 13:02:08 +0200

python-darts.lib.utils.lru (0.5-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Move to pkg-security team (this package is only needed for w3af)
  * Bump watch file version to 4
  * Bump std-version to 3.9.8
  * Use https VCS-* fields.

  [ Sophie Brun ]
  * Break kali package "python-darts-lib-utils-lru"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Sep 2016 12:04:42 +0200

python-darts.lib.utils.lru (0.5-3) unstable; urgency=medium

  * Update my uid.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Nov 2015 15:29:47 +0100

python-darts.lib.utils.lru (0.5-2) unstable; urgency=medium

  * Add debian/watch file, following upstream tag release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 02 Apr 2015 10:54:24 +0200

python-darts.lib.utils.lru (0.5-1) unstable; urgency=medium

  * Rename the orig tarball in 0.5.
    - upstream doesn't release tarballs, but also PyPI calls it 0.5.
  * Move the repository to collab-maint and set myself as Maintainer.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 19 Mar 2015 14:05:07 +0100

python-darts.lib.utils.lru (0.5~git20140220-1) unstable; urgency=low

  * Initial release (Closes: #778837)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 20 Feb 2015 14:09:20 +0100

=== debian/control ===
Source: python-darts.lib.utils.lru
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-sphinx,
               python3-all,
               python3-setuptools
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://pypi.python.org/pypi/darts.util.lru
Vcs-Git: https://salsa.debian.org/pkg-security-team/python-darts.lib.utils.lru.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/python-darts.lib.utils.lru

Package: python3-darts.lib.utils.lru
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-darts.lib.utils.lru-doc
Description: Simple dictionary with LRU behaviour in Python3
 An LRUDict is basically a simple dictionary, which has a defined maximum
 capacity, that may be supplied at construction time, or modified at run-time
 via the capacity property.
 The class SynchronizedLRUDict, which exposes the same interface as plain
 LRUDict, but fully thread-safe.
 .
 This is the Python 3 version of the package.

Package: python-darts.lib.utils.lru-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Simple dictionary with LRU behaviour in Python (common documentation)
 An LRUDict is basically a simple dictionary, which has a defined maximum
 capacity, that may be supplied at construction time, or modified at run-time
 via the capacity property.
 The class SynchronizedLRUDict, which exposes the same interface as plain
 LRUDict, but fully thread-safe.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=darts.lib.utils.lru
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf doc/build
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	sphinx-build -b html doc doc/build/html

override_dh_install:
	dh_install
	find debian -name "*.pth" -delete

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
 https://github.com/deterministic-arts/DartsPyLRU/tags .*/v?(\d\S*)\.tar\.gz
